<button type="button" class="close" data-dismiss="modal" (click)="dialogRef.close()">
  &times;
</button>
<span class="comment_status" [ngStyle]="{'color':comment_status=='completed'?'green':'red'}">{{comment_status}}</span>
<h4 style="padding-bottom: 5px">Comments</h4>
<div class="outer-box">
  <div class="box" id="comment">
    <div class="received_msg">
      <div class="text-center" *ngIf="!isLoading">
        <button class="btn btn-default" *ngIf="comments.length<count" (click)="pagination()">Show more</button>
      </div>
      <div *ngIf="isLoading">
        {{errormsg}}
      </div>
      <div *ngFor="let comment of comments.slice().reverse()">
        <div class="received_withd_msg">
          <span class="name">{{comment.user_id?comment.user_id.firstname+' '+comment.user_id.lastname:''}}</span>
          <p class="text-capitalize">{{comment.comments}}</p>
          <span class="time_date">
            {{comment.created_at? getMoment(comment.created_at):''}}</span>
        </div>
      </div>
    </div>
  </div>
</div>

<div class="col-sm-10">
  <form (ngSubmit)="addComment()">
    <input type="text" [(ngModel)]="commentModel.comment" class="fm-txt form-control"
      placeholder="Type your comment here" [ngModelOptions]="{standalone: true}" />
  </form>
</div>
<div class="col-sm-2">
  <button class="btn btn-sm btn-primary blue" type="button" (click)="addComment()"
    [disabled]="commentModel.comment==''">Submit</button>
</div>
<div class="row" *ngIf="completeButton">
  <div class="col-sm-6">
    <br />
    <button class="btn btn-block btn-primary" type="button" *ngIf="comment_status=='pending'"
      (click)="changeStatus()">Mark as completed</button>
  </div>
  <div class="col-sm-6">
    <br />
    <button class="btn btn-block btn-danger" *ngIf="comment_status=='pending'" type="button"
      [mat-dialog-close]>Close</button>
  </div>
</div>